/*
 * Class ABSTRACT_SPECIAL
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_626 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_626 [] = {0xFF01,1551,625,0xFFFF};
static const EIF_TYPE_INDEX egt_2_626 [] = {0xFF01,625,0xFFFF};
static const EIF_TYPE_INDEX egt_3_626 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_626 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_626 [] = {0xFF01,625,0xFFFF};
static const EIF_TYPE_INDEX egt_6_626 [] = {0xFF01,625,0xFFFF};
static const EIF_TYPE_INDEX egt_7_626 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_626 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_626 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_626 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_626 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_626 [] = {0xFF01,625,0xFFFF};
static const EIF_TYPE_INDEX egt_13_626 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_626[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_626), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_626), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_626), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_626), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_626), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_626), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_626), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_626), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_626), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_626), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_626), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_626), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04E3 /*625*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_626), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_626), 15131, 0xFFFFFFFF},
};
void Init626(void)
{
	IDSC(desc_626, 0, 625);
	IDSC(desc_626 + 1, 1, 625);
	IDSC(desc_626 + 32, 949, 625);
	IDSC(desc_626 + 35, 224, 625);
}


#ifdef __cplusplus
}
#endif
